import { Container, CssBaseline } from '@mui/material';
import { Route, Routes } from 'react-router-dom';
import { AppToolbar } from './components/UI/AppToolbar/AppToolbar';
import { Products } from './containers/Products/Products';
import NewProduct from './containers/NewProduct/NewProduct';

function App() {
  return (
    <>
      <CssBaseline />

      <header>
        <AppToolbar />
      </header>

      <main>
        <Container maxWidth="xl" sx={{ mt: 10 }}>
          <Routes>
            <Route path="/" element={<Products />} />
            <Route path="/products/new" element={<NewProduct />} />
          </Routes>
        </Container>
      </main>
    </>
  );
}

export default App;
