import { Typography } from '@mui/material';
import ProductForm from '../../components/ProductForm/ProductForm';
import { useNavigate } from 'react-router-dom';
import { createProduct } from '../../features/productsSlice';
import { useAppDispatch } from '../../store';

export interface ProductData {
  title: string;
  description: string;
  price: number;
}

const NewProduct = () => {
  const dispatch = useAppDispatch();
  const navigate = useNavigate();

  const onProductFormSubmit = async (productData: ProductData) => {
    await dispatch(createProduct(productData));
    navigate('/');
  };

  return (
    <>
      <Typography variant="h4">New product</Typography>
      <ProductForm onSubmit={onProductFormSubmit}/>
    </>
  );
};

export default NewProduct;
