import { Link } from 'react-router-dom';
import {
  Grid,
  Card,
  CardHeader,
  CardContent,
  CardActions,
  IconButton,
  Typography,
} from '@mui/material';
import { ArrowForward } from '@mui/icons-material';
import { IProduct } from '@/interfaces/IProduct';

interface Props {
  product: IProduct;
}

export function ProductItem({ product }: Props) {
  const { title, price, id, description } = product;

  return (
    <Grid item xs={12} sm={12} md={6} lg={4}>
      <Card sx={{ minWidth: 275 }}>
        <CardHeader title={title} />

        <CardContent>
          <Typography variant="body2">{description}</Typography>
          <strong style={{ marginLeft: '10px' }}>Price: {price} KZT</strong>
        </CardContent>

        <CardActions>
          <IconButton component={Link} to={`/products/${id}`}>
            <ArrowForward />
          </IconButton>
        </CardActions>
      </Card>
    </Grid>
  );
}
