import { Link } from 'react-router-dom';
import { Typography, Grid, Button } from '@mui/material';
import { useAppDispatch, useAppSelector } from '../../store';
import { shallowEqual } from 'react-redux';
import { useEffect } from 'react';
import { fetchProducts } from '../../features/productsSlice';
import { ProductItem } from './ProductItem';

export function Products() {
  const dispatch = useAppDispatch();
  const { products } = useAppSelector((state) => state.products, shallowEqual);

  useEffect(() => {
    dispatch(fetchProducts());
  }, [dispatch]);

  return (
    <>
      <Grid container direction="column" spacing={2}>
        <Grid item container direction="row" justifyContent="space-between" alignItems="center">
          <Grid item>
            <Typography variant="h4">Products</Typography>
          </Grid>

          <Grid item>
            <Button color="primary" component={Link} to={'/products/new'}>
              Add product
            </Button>
          </Grid>
        </Grid>
      </Grid>

      <Grid item container direction="row" spacing={1}>
        {products.map((product) => (
          <ProductItem key={product.id} product={product} />
        ))}
      </Grid>
    </>
  );
}
